<template>
    <v-list-item v-on="on" v-bind="bind" :class="[hover && 'rounded-pill blue lighten-5', $vuetify.breakpoint.mdAndDown && 'px-2']">
        <!-- avatar -->
        <v-list-item-icon class="py-2 my-1">
            <v-avatar color="primary" :size="36" class="white--text">{{ profile.avatar }}</v-avatar>
        </v-list-item-icon>
        <!-- name & username -->
        <v-list-item-content class="pa-0">
            <v-list-item-title class="text-subtitle-1" :class="hover && 'primary--text'">
                {{ profile.name }}
            </v-list-item-title>
            <v-list-item-subtitle>{{ profile.username }}</v-list-item-subtitle>
        </v-list-item-content>
        <!-- profile more button -->
        <v-list-item-icon class="ma-0 align-self-center">
            <v-icon :color="sideIconColor">{{ sideIcon }}</v-icon>
        </v-list-item-icon>
    </v-list-item>
</template>

<script>
export default {
    name: "ProfileSideNav",
    props: {
        profile: Object,
        sideIcon: String,
        sideIconColor: String,
        hover: {
            type: Boolean,
            default: false
        },
        on: Object,
        bind: Object
    }
}
</script>

<style>

</style>